> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/dogecoin-doge/getinfo-dogecoin.md).

# getinfo - Dogecoin

This method returns an object containing various state info about the node.

{% hint style="info" %}

* Some wallet-related fields may not be available on shared nodes
* The `balance` field will be 0 on nodes without wallet access
  {% endhint %}

## Parameters

* None

## Request

{% tabs %}
{% tab title="cURL" %}
{% code title="curl" %}

```bash
curl --location --request POST 'https://go.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
    "jsonrpc": "2.0",
    "method": "getinfo",
    "params": [],
    "id": "getblock.io"
}'
```

{% endcode %}
{% endtab %}

{% tab title="Axios" %}
{% code title="request.js" %}

```javascript
const axios = require('axios');

const data = JSON.stringify({
    "jsonrpc": "2.0",
    "method": "getinfo",
    "params": [],
    "id": "getblock.io"
});

const config = {
    method: 'post',
    url: 'https://go.getblock.io/<ACCESS-TOKEN>/',
    headers: {
        'Content-Type': 'application/json'
    },
    data: data
};

axios(config)
    .then(response => console.log(JSON.stringify(response.data)))
    .catch(error => console.log(error));
```

{% endcode %}
{% endtab %}

{% tab title="Request" %}
{% code title="request.py" %}

```python
import requests
import json

url = "https://go.getblock.io/<ACCESS-TOKEN>/"

payload = json.dumps({
    "jsonrpc": "2.0",
    "method": "getinfo",
    "params": [],
    "id": "getblock.io"
})

headers = {
    'Content-Type': 'application/json'
}

response = requests.post(url, headers=headers, data=payload)
print(response.text)
```

{% endcode %}
{% endtab %}

{% tab title="Rust" %}
{% code title="main.rs" %}

```rust
use reqwest::header;

#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
    let client = reqwest::Client::new();
    
    let response = client
        .post("https://go.getblock.io/<ACCESS-TOKEN>/")
        .header(header::CONTENT_TYPE, "application/json")
        .body(r#"{
            "jsonrpc": "2.0",
            "method": "getinfo",
            "params": [],
            "id": "getblock.io"
        }"#)
        .send()
        .await?;
    
    println!("{}", response.text().await?);
    Ok(())
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

## Response

{% code title="response.json" %}

```json
{
    "result": {
        "version": 1140500,
        "protocolversion": 70015,
        "walletversion": 130000,
        "balance": 0.00000000,
        "blocks": 3904788,
        "timeoffset": 0,
        "connections": 8,
        "proxy": "",
        "difficulty": 3525264.838757254,
        "testnet": false,
        "keypoololdest": 1609459200,
        "keypoolsize": 100,
        "paytxfee": 0.00000000,
        "relayfee": 0.00100000,
        "errors": ""
    },
    "error": null,
    "id": "getblock.io"
}
```

{% endcode %}

## Response Parameters

| Field           | Type    | Description                            |
| --------------- | ------- | -------------------------------------- |
| version         | number  | The server version.                    |
| protocolversion | number  | The protocol version.                  |
| walletversion   | number  | The wallet version.                    |
| balance         | number  | The total balance (if wallet enabled). |
| blocks          | number  | The current block count.               |
| timeoffset      | number  | The time offset.                       |
| connections     | number  | The number of connections.             |
| proxy           | string  | The proxy used.                        |
| difficulty      | number  | The current difficulty.                |
| testnet         | boolean | If on testnet.                         |
| keypoololdest   | number  | The oldest keypool time.               |
| keypoolsize     | number  | The keypool size.                      |
| paytxfee        | number  | The transaction fee.                   |
| relayfee        | number  | The minimum relay fee.                 |
| errors          | string  | Any errors.                            |

## Use Case

The `getinfo` method is essential for:

* Node status monitoring
* Version verification
* Network information
* Wallet status (if enabled)
* General node health checks

## Error Handling

| Error Code | Message   | Cause                            |
| ---------- | --------- | -------------------------------- |
| 403        | Forbidden | Missing or invalid ACCESS-TOKEN. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.getblock.io/api-reference/dogecoin-doge/getinfo-dogecoin.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
